Bug 206824 - Review Request: perl-POE-API-Peek - Peek into the internals of a running POE environment
Review Request: perl-POE-API-Peek - Peek into the internals of a running POE ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/POE-API-P...
:
Depends On: 206821
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-16 19:57 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-19 20:26:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-09-16 19:57:12 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-POE-API-Peek-1.06-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-POE-API-Peek.spec

Description:
POE::API::Peek extends the POE::Kernel interface to provide clean access to
Kernel internals in a cross-version compatible manner. Other calculated
data is also available.
Comment 1 Jason Tibbitts 2006-09-19 19:49:29 EDT
* source files match upstream:
   2655a284b329ad8036ab4de3bbdd7f14  POE-API-Peek-1.06.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper (BR: perl is unnecessary)
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(POE::API::Peek) = 1.0594
   perl-POE-API-Peek = 1.06-1.fc6
  =
   perl >= 0:5.006001
   perl(:MODULE_COMPAT_5.8.8)
   perl(Devel::Size)
   perl(POE)
   perl(POE::Queue::Array)
   perl(strict)
   perl(warnings)
* %check is present and all tests pass:
   All tests successful.
   Files=9, Tests=102,  1 wallclock secs ( 0.70 cusr +  0.23 csys =  0.93 CPU)
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Chris Weyl 2006-09-19 20:26:19 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-5)
+Close bug

Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.